#####################
# Simulations with configured byte drop rates.
#####################
#####################
#TCP and TFRC, fixed byte drop rate, TCP 1460 bytes:
set file=out.PP
set params='-cbrrate 5.6Kb -tfrcpktsize 14 -tfrc 2 -flows 10 -rtts 0'
foreach rate (0.000001 0.00001 0.0001 0.001 0.005 0.01 0.02 0.04 0.05)
  set p1='-pktsize 1460'
  ./ns sims.tcl $params $p1 -droprate $rate -dropunit 2 >> $file
end
csh plotP.com $file TCP,_1460_bytes ps 
#####################
#TCP, fixed byte drop rate, TCP 1460 bytes:
set file=out.PPtcp1460
set params='-tfrc 0 -flows 10 -rtts 0'
foreach rate (0.000001 0.00001 0.0001 0.001 0.005 0.01 0.02 0.04 0.05)
  set p1='-pktsize 1460'
  ./ns sims.tcl $params $p1 -droprate $rate -dropunit 2 >> $file
end
csh plotPtcp.com $file TCP,_1460_bytes ps 
#####################
#TCP, fixed byte drop rate, TCP 512 bytes:
set file=out.PPtcp512
set params='-tfrc 0 -flows 10 -rtts 0'
foreach rate (0.000001 0.00001 0.0001 0.001 0.005 0.01 0.02 0.04 0.05)
  set p1='-pktsize 512'
  ./ns sims.tcl $params $p1 -droprate $rate -dropunit 2 >> $file
end
csh plotPtcp.com $file TCP,_512_bytes ps 
#####################
#TCP, fixed byte drop rate, TCP 256 bytes:
set file=out.PPtcp256
set params='-tfrc 0 -flows 10 -rtts 0'
foreach rate (0.000001 0.00001 0.0001 0.001 0.005 0.01 0.02 0.04 0.05)
  set p1='-pktsize 256'
  ./ns sims.tcl $params $p1 -droprate $rate -dropunit 2 >> $file
end
csh plotPtcp.com $file TCP,_256_bytes ps 
#####################
#TCP, fixed byte drop rate, TCP 128 bytes:
set file=out.PPtcp128
set params='-tfrc 0 -flows 10 -rtts 0'
foreach rate (0.000001 0.00001 0.0001 0.001 0.005 0.01 0.02 0.04 0.05)
  set p1='-pktsize 128'
  ./ns sims.tcl $params $p1 -droprate $rate -dropunit 2 >> $file
end
csh plotPtcp.com $file TCP,_128_bytes ps 
#####################
#TCP, fixed byte drop rate, TCP 14 bytes:
set file=out.PPtcp14
set params='-tfrc 0 -flows 10 -rtts 0'
foreach rate (0.000001 0.00001 0.0001 0.001 0.005 0.01 0.02 0.04 0.05)
  set p1='-pktsize 14'
  ./ns sims.tcl $params $p1 -droprate $rate -dropunit 2 >> $file
end
csh plotPtcp.com $file TCP,_14_bytes ps 
#####################
#####################
#TCP_ECN, fixed byte drop rate, TCP_ECN 1460 bytes:
set file=out.PPtcpecn1460
set params='-tfrc 0 -flows 10 -rtts 0 -ecn 1'
foreach rate (0.000001 0.00001 0.0001 0.001 0.005 0.01 0.02 0.04 0.05)
  set p1='-pktsize 1460'
  ./ns sims.tcl $params $p1 -droprate $rate -dropunit 2 >> $file
end
csh plotPtcp.com $file TCP_ECN,_1460_bytes ps 
#####################
#TCP_ECN, fixed byte drop rate, TCP_ECN 512 bytes:
set file=out.PPtcpecn512
set params='-tfrc 0 -flows 10 -rtts 0 -ecn 1'
foreach rate (0.000001 0.00001 0.0001 0.001 0.005 0.01 0.02 0.04 0.05)
  set p1='-pktsize 512'
  ./ns sims.tcl $params $p1 -droprate $rate -dropunit 2 >> $file
end
csh plotPtcp.com $file TCP_ECN,_512_bytes ps 
#####################
#TCP_ECN, fixed byte drop rate, TCP_ECN 256 bytes:
set file=out.PPtcpecn256
set params='-tfrc 0 -flows 10 -rtts 0 -ecn 1'
foreach rate (0.000001 0.00001 0.0001 0.001 0.005 0.01 0.02 0.04 0.05)
  set p1='-pktsize 256'
  ./ns sims.tcl $params $p1 -droprate $rate -dropunit 2 >> $file
end
csh plotPtcp.com $file TCP_ECN,_256_bytes ps 
#####################
#TCP_ECN, fixed byte drop rate, TCP_ECN 128 bytes:
set file=out.PPtcpecn128
set params='-tfrc 0 -flows 10 -rtts 0 -ecn 1'
foreach rate (0.000001 0.00001 0.0001 0.001 0.005 0.01 0.02 0.04 0.05)
  set p1='-pktsize 128'
  ./ns sims.tcl $params $p1 -droprate $rate -dropunit 2 >> $file
end
csh plotPtcp.com $file TCP_ECN,_128_bytes ps 
#####################
#TCP_ECN, fixed byte drop rate, TCP_ECN 14 bytes:
set file=out.PPtcpecn14
set params='-tfrc 0 -flows 10 -rtts 0 -ecn 1'
foreach rate (0.000001 0.00001 0.0001 0.001 0.005 0.01 0.02 0.04 0.05)
  set p1='-pktsize 14'
  ./ns sims.tcl $params $p1 -droprate $rate -dropunit 2 >> $file
end
csh plotPtcp.com $file TCP_ECN,_14_bytes ps 
#####################
#VoIP TFRC, 5.6 Kbps, fixed byte drop rate, timestamps:
set file=out.PPtimestamps
set params='-cbrrate 5.6Kb -tfrcpktsize 14 -flows 10 -rtts 0 -timestamps true'
foreach rate (0.000001 0.00001 0.0001 0.001 0.005 0.01 0.02 0.04 0.05)
  set p1='-pktsize 1460'
  ./ns sims.tcl -voip 2 $params $p1 -droprate $rate -dropunit 2 >> $file
end
csh plotP.com $file VoIP,_timestamps ps 
#####################
#plain TFRC, 5.6 Kbps, fixed byte drop rate:
set file=out.PPtfrc
set params='-cbrrate 5.6Kb -tfrcpktsize 14 -flows 10 -rtts 0'
foreach rate (0.000001 0.00001 0.0001 0.001 0.005 0.01 0.02 0.04 0.05)
  ./set p1='-pktsize 1460'
  ns sims.tcl -voip 0 $params $p1 -droprate $rate -dropunit 2 >> $file
end
csh plotP.com $file VoIP ps 
#####################
#####################
