# csh conver.com ps 
set type=$1
set type1='postscript eps'
set file=convert
if ($type == "png") then 
  set type1='png'
endif
awk '{printf "%10.5f %10.3f\n", $1, 1-(1-$1)^1500 }' ByteDropRates1 > t1
awk '{printf "%10.5f %10.4f\n", $1, 1-(1-$1)^56 }' ByteDropRates1 > t2
gnuplot << !
# set term post
set terminal $type1 
set xlabel "Byte Drop Rate"
set ylabel "Packet Drop Rate"
set logscale y
set logscale x
set yrange [0.0001:0.9]
set xrange [0.00001:0.05]
set title "Converting Byte Drop Rates to Packet Drop Rates"
set output "$file.$type"
set key left bottom 
# set size 0.6,0.8
set size 1.0,0.8 
plot "t1" title "1500-byte-packets"  with linespoints pt 2 ps 1, "t2" title "56-byte-packets" with linespoints pt 1 ps 1
!
if ($type == "ps") then
  gv $file.ps &
endif
